Bug 147803 - MTR tries to ping a IPv6 even if no IPv6 device is available
Summary: MTR tries to ping a IPv6 even if no IPv6 device is available
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: mtr   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Phil Knirsch
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-02-11 15:06 UTC by Robert Scheck
Modified: 2015-03-05 01:14 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-05 12:43:13 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Robert Scheck 2005-02-11 15:06:10 UTC
Description of problem:
Have no IPv6 device, tunnel etc.:
> host whois.6bone.net
whois.6bone.net has address 192.103.19.12
whois.6bone.net has IPv6 address 2001:490:f000:1300::c
>
> mtr -c 5 -r whois.6bone.net
HOST: tux.local.network      Loss%   Snt   Last   Avg  Best  Wrst StDev
>

Version-Release number of selected component (if applicable):
mtr-0.69-2

How reproducible:
Everytime after disabling IPv6 support.
  
Actual results:
MTR tries to ping a IPv6 address even if no -6 is specified and no IPv6
device is available.

Expected results:
MTR should try IPv4 rather IPv6 if -6 isn't given.

Comment 1 Phil Knirsch 2005-09-05 12:43:13 UTC
Works nicely here:

[root@hamburg ~]# host whois.6bone.net
whois.6bone.net has address 192.103.19.12
whois.6bone.net has IPv6 address 2001:490:f000:1300::c
[root@hamburg ~]# mtr -c 5 -r whois.6bone.net
HOST: hamburg.stuttgart.redhat.co Loss%   Snt   Last   Avg  Best  Wrst StDev
  1. corerouter.stuttgart.redhat.  0.0%     5    3.2   1.4   0.8   3.2   1.0
  2. router-str.redhat.com         0.0%     5    0.7   0.6   0.5   0.7   0.1
  3. ar1.str.de.colt.net           0.0%     5    1.2   2.2   1.2   3.3   1.0
  4. 212.121.151.245               0.0%     5    1.3   2.4   1.0   6.6   2.4
  5. ge0-0-pr1.AMS.router.colt.ne  0.0%     5   10.9  11.3  10.7  13.2   1.1
  6. gsr12416.ams.he.net           0.0%     5   11.8  11.7  11.2  12.6   0.5
  7. pos0-0.gsr12416.lon.he.net    0.0%     5   30.0  85.2  19.2 219.2  90.2
  8. pos8-0.gsr12416.nyc.he.net    0.0%     5  103.3 102.6 101.9 103.8   0.9
  9. pos7-0.gsr12012.sjc.he.net    0.0%     5  169.0 169.6 169.0 171.3   0.9
 10. pos1-2.gsr12416.fmt.he.net    0.0%     5  170.9 172.0 169.9 174.8   2.4
 11. pos2-1.gsr12416.pao.he.net    0.0%     5  170.1 172.0 170.1 174.4   1.9
 12. 65.19.141.238                20.0%     5  169.9 170.4 169.9 171.1   0.5
 13. 192.103.19.12                20.0%     5  170.0 170.3 169.9 171.3   0.7

This is current development version, which is the same as in FC4 atm.

Read ya, Phil


Note You need to log in before you can comment on or make changes to this bug.